## watcher 1.13.0~b1~git2018112258.63afd825

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
sphinx>=1.6.5,!=1.6.6,!=1.6.7 # BSD
sphinxcontrib-pecanwsme>=0.8.0 # Apache-2.0
reno>=2.7.0 # Apache-2.0
sphinxcontrib-apidoc>=0.2.0  # BSD
os-api-ref>=1.4.0 # Apache-2.0

=== debian/changelog ===
watcher (1:1.13.0~b1~git2018112258.63afd825-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 22 Nov 2018 10:26:27 +0000

watcher (1:1.12.0-0ubuntu4) disco; urgency=medium

  * d/control,rules,python*,d/tests/*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 20 Nov 2018 09:40:26 -0500

watcher (1:1.12.0-0ubuntu3) cosmic; urgency=medium

  * d/p/skip-tests.patch: Skip tests that periodically fail.
    https://bugs.launchpad.net/bugs/1790129.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 31 Aug 2018 09:25:43 -0400

watcher (1:1.12.0-0ubuntu2) cosmic; urgency=medium

  * Additional support for Python 3:
    - d/control: Drop python(3)-watcher conflicts on each other.
    - d/python(3)-watcher.postinst: Ensure alternatives priority is 300
      for Py2 and 200 for Py3.
    - d/tests/control: Run Py3 tests first due to alternatives priority.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 15:49:09 -0400

watcher (1:1.12.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Skip Py3.7 tests until they run successfully upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Aug 2018 10:41:04 -0400

watcher (1:1.10.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-import-sphinx-Directive.patch: Dropped. Fixed in new upstream
    release.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 19 Jun 2018 08:56:49 -0400

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 po-debconf,
 python-all,
 python-pbr (>= 3.1.1),
 python-setuptools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-apscheduler (>= 3.5.1),
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.5.0),
 python3-coverage (>= 4.5.1),
 python3-croniter,
 python3-freezegun,
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-hacking (>= 0.12.0),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.1.1),
 python3-microversion-parse,
 python3-mock (>= 2.0.0),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 1.11),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:10.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-openstackdocstheme,
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.20.0),
 python3-oslo.db (>= 4.35.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 5.36.0),
 python3-oslo.policy (>= 1.34.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-oslotest (>= 1:3.3.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pecan (>= 1.2.1),
 python3-prettytable (>= 0.7.2),
 python3-reno,
 python3-six (>= 1.11.0),
 python3-sphinxcontrib-pecanwsme (>= 0.8.0),
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy (>= 1.2.5),
 python3-stestr,
 python3-stevedore (>= 1:1.28.0),
 python3-taskflow (>= 3.1.0),
 python3-testscenarios,
 python3-testtools (>= 2.3.0),
 python3-voluptuous,
 python3-webob (>= 1:1.7.4),
 python3-wsme (>= 0.9.2),
Standards-Version: 4.1.3
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Homepage: https://github.com/openstack/watcher
Testsuite: autopkgtest-pkg-python

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler (>= 3.5.1),
 python3-ceilometerclient (>= 2.9.0),
 python3-cinderclient (>= 1:3.5.0),
 python3-croniter,
 python3-glanceclient (>= 1:2.9.1),
 python3-gnocchiclient (>= 7.0.1),
 python3-ironicclient (>= 2.3.0),
 python3-jsonpatch (>= 1.21),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystoneclient (>= 1:3.15.0),
 python3-keystonemiddleware (>= 4.21.0),
 python3-lxml (>= 4.1.1),
 python3-monascaclient (>= 1.12.0),
 python3-networkx (>= 1.11),
 python3-neutronclient (>= 1:6.7.0),
 python3-novaclient (>= 2:10.1.0),
 python3-openstackclient (>= 3.14.0),
 python3-oslo.cache (>= 1.29.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.20.0),
 python3-oslo.db (>= 4.35.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.log (>= 3.37.0),
 python3-oslo.messaging (>= 5.36.0),
 python3-oslo.policy (>= 1.34.0),
 python3-oslo.reports (>= 1.27.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.service (>= 1.30.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslo.versionedobjects (>= 1.32.0),
 python3-pastedeploy (>= 1.5.2),
 python3-pbr (>= 3.1.1),
 python3-pecan (>= 1.2.1),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.11.0),
 python3-sqlalchemy (>= 1.2.5),
 python3-stevedore (>= 1:1.28.0),
 python3-taskflow (>= 3.1.0),
 python3-voluptuous,
 python3-webob (>= 1:1.7.4),
 python3-wsme (>= 0.9.2),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Python 3 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 net-tools,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

=== debian/tests/control ===
Tests: watcher-daemons
Depends: watcher-api, watcher-applier, watcher-decision-engine
Restrictions: needs-root

## watcher 1.13.0~b1~git2019013109.0e46dec6

=== debian/changelog ===
watcher (1:1.13.0~b1~git2019013109.0e46dec6-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 09:14:00 -0500

watcher (1:1.13.0~b1~git2018112258.63afd825-0ubuntu2) disco; urgency=medium

  * d/tests: Improve autopkgtests to make use of mysql and rabbitmq during
    testing.

 -- James Page <james.page@ubuntu.com>  Fri, 23 Nov 2018 10:10:31 +0000

=== debian/control ===
--- 
+++ 
@@ -19,14 +19,16 @@
  python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
  python3-apscheduler (>= 3.5.1),
+ python3-bandit (>= 1.1.0),
  python3-ceilometerclient (>= 2.9.0),
  python3-cinderclient (>= 1:3.5.0),
  python3-coverage (>= 4.5.1),
- python3-croniter,
+ python3-croniter (>= 0.3.20),
+ python3-doc8 (>= 0.8.0),
  python3-freezegun,
  python3-glanceclient (>= 1:2.9.1),
  python3-gnocchiclient (>= 7.0.1),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-ironicclient (>= 2.3.0),
  python3-jsonpatch (>= 1.21),
  python3-jsonschema (>= 2.6.0),
@@ -34,14 +36,15 @@
  python3-keystoneclient (>= 1:3.15.0),
  python3-keystonemiddleware (>= 4.21.0),
  python3-lxml (>= 4.1.1),
- python3-microversion-parse,
+ python3-microversion-parse (>= 0.2.1),
  python3-mock (>= 2.0.0),
  python3-monascaclient (>= 1.12.0),
  python3-networkx (>= 1.11),
  python3-neutronclient (>= 1:6.7.0),
  python3-novaclient (>= 2:10.1.0),
  python3-openstackclient (>= 3.14.0),
- python3-openstackdocstheme,
+ python3-openstackdocstheme (>= 1.20.0),
+ python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.cache (>= 1.29.0),
  python3-oslo.concurrency (>= 3.26.0),
@@ -62,15 +65,15 @@
  python3-pastedeploy (>= 1.5.2),
  python3-pecan (>= 1.2.1),
  python3-prettytable (>= 0.7.2),
- python3-reno,
+ python3-reno (>= 2.7.0),
  python3-six (>= 1.11.0),
  python3-sphinxcontrib-pecanwsme (>= 0.8.0),
- python3-sphinxcontrib.apidoc,
+ python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sqlalchemy (>= 1.2.5),
- python3-stestr,
+ python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.28.0),
  python3-taskflow (>= 3.1.0),
- python3-testscenarios,
+ python3-testscenarios (>= 0.5.0),
  python3-testtools (>= 2.3.0),
  python3-voluptuous,
  python3-webob (>= 1:1.7.4),
@@ -88,7 +91,7 @@
  python3-apscheduler (>= 3.5.1),
  python3-ceilometerclient (>= 2.9.0),
  python3-cinderclient (>= 1:3.5.0),
- python3-croniter,
+ python3-croniter (>= 0.3.20),
  python3-glanceclient (>= 1:2.9.1),
  python3-gnocchiclient (>= 7.0.1),
  python3-ironicclient (>= 2.3.0),
@@ -98,6 +101,7 @@
  python3-keystoneclient (>= 1:3.15.0),
  python3-keystonemiddleware (>= 4.21.0),
  python3-lxml (>= 4.1.1),
+ python3-microversion-parse (>= 0.2.1),
  python3-monascaclient (>= 1.12.0),
  python3-networkx (>= 1.11),
  python3-neutronclient (>= 1:6.7.0),

## watcher 1.13.0~b1~git2019031950.807857c8

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

apscheduler>=3.5.1 # MIT License
enum34>=1.1.6;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
jsonpatch>=1.21 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
keystonemiddleware>=4.21.0 # Apache-2.0
lxml>=4.1.1 # BSD
croniter>=0.3.20 # MIT License
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.cache>=1.29.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.20.0 # Apache-2.0
oslo.db>=4.35.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.log>=3.37.0 # Apache-2.0
oslo.messaging>=5.36.0 # Apache-2.0
oslo.policy>=1.34.0 # Apache-2.0
oslo.reports>=1.27.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.service>=1.30.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
oslo.versionedobjects>=1.32.0 # Apache-2.0
PasteDeploy>=1.5.2 # MIT
pbr>=3.1.1 # Apache-2.0
pecan>=1.2.1 # BSD
PrettyTable<0.8,>=0.7.2 # BSD
gnocchiclient>=7.0.1 # Apache-2.0
python-ceilometerclient>=2.9.0 # Apache-2.0
python-cinderclient>=3.5.0 # Apache-2.0
python-glanceclient>=2.9.1 # Apache-2.0
python-keystoneclient>=3.15.0 # Apache-2.0
python-monascaclient>=1.12.0 # Apache-2.0
python-neutronclient>=6.7.0 # Apache-2.0
python-novaclient>=10.1.0 # Apache-2.0
python-openstackclient>=3.14.0 # Apache-2.0
python-ironicclient>=2.3.0 # Apache-2.0
six>=1.11.0 # MIT
SQLAlchemy>=1.2.5 # MIT
stevedore>=1.28.0 # Apache-2.0
taskflow>=3.1.0 # Apache-2.0
WebOb>=1.7.4 # MIT
WSME>=0.9.2 # MIT
networkx>=1.11 # BSD
microversion_parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
watcher (1:1.13.0~b1~git2019031950.807857c8-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/p/*: Refresh.

 -- James Page <james.page@ubuntu.com>  Tue, 19 Mar 2019 12:03:02 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,6 @@
  python3-sphinx (>= 1.6.5),
 Build-Depends-Indep:
  python3-apscheduler (>= 3.5.1),
- python3-bandit (>= 1.1.0),
  python3-ceilometerclient (>= 2.9.0),
  python3-cinderclient (>= 1:3.5.0),
  python3-coverage (>= 4.5.1),
@@ -65,7 +64,6 @@
  python3-pastedeploy (>= 1.5.2),
  python3-pecan (>= 1.2.1),
  python3-prettytable (>= 0.7.2),
- python3-reno (>= 2.7.0),
  python3-six (>= 1.11.0),
  python3-sphinxcontrib-pecanwsme (>= 0.8.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),

=== debian/rules ===
#!/usr/bin/make -f

PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc

override_dh_clean:
	dh_clean
	rm -f debian/watcher-common.config debian/watcher-common.postinst debian/watcher-api.config debian/watcher-api.postinst
	rm -rf debian/*.upstart debian/*.service
	rm -rf debian/watcher-common.postrm debian/*.templates debian/po

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func watcher-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm watcher-common.postrm
	pkgos-merge-templates watcher-api watcher endpoint
	pkgos-merge-templates watcher-common watcher db rabbit ksat

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(coreycb) Skip Py3.7 tests until they run successfully upstream:
	# https://bugs.launchpad.net/bugs/1786326
	# pkgos-dh_auto_test 'watcher\.tests\.(?!.*api\.test_hooks\.TestContextHook\.test_context_hook_before_method.*)'
	echo "===> Running tests"
	set -ex ; for i in $(PYTHON3S) ; do \
		[ $$i = "3.7" ] && break; \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		rm -rf .stestr ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-stestr run --subunit 'watcher\.tests\.(?!.*api\.test_hooks\.TestContextHook\.test_context_hook_before_method.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ; \
		rm -rf .stestr ; \
	done


endif

	rm -rf $(CURDIR)/debian/python3-watcher/usr/etc
	mkdir -p $(CURDIR)/debian/watcher-common/usr/share/watcher-common
	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages python3-oslo-config-generator \
		--output-file $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf \
		--wrap-width 140 \
		--namespace watcher \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.cache \
		--namespace oslo.concurrency \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.service \
		--namespace oslo.service.wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken watcher

	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/watcher-common/usr/share/watcher-common/policy.json \
		--format json \
		--namespace watcher

	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf oslo_concurrency lock_path /var/lock/watcher

	dh_install
	dh_missing --fail-missing

	# Disable https in default setup, as this makes our CI fail
	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken auth_protocol http

	# Fix the missing sql_connection directive
	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf database sqlite:////var/lib/watcher/watcherdb

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 PYTHONPATH=. python3 -m sphinx $(SPHINXOPTS) -b html doc/source $(CURDIR)/debian/watcher-doc/usr/share/doc/watcher-doc/html
	touch $(CURDIR)/debian/watcher-doc/usr/share/doc/watcher-doc/html/_static/toggle.js
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## watcher 2.0.0

=== debian/changelog ===
watcher (2.0.0-5) unstable; urgency=medium

  * Uploading to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 17 Jul 2019 20:10:41 +0200

watcher (2.0.0-4) experimental; urgency=medium

  * d/control:
      - Bump openstack-pkg-tools to version 99
      - Add me to uploaders field
  * d/copyright: Add me to copyright file

 -- Michal Arbet <michal.arbet@ultimum.io>  Thu, 02 May 2019 18:01:53 +0200

watcher (2.0.0-3) experimental; urgency=medium

  * Add export TZ=UTC in debian/rules (Closes: #918712).

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Apr 2019 23:58:55 +0200

watcher (2.0.0-2) experimental; urgency=medium

  * Removed python3- prefix when calling conf generators.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Apr 2019 13:27:48 +0200

watcher (2.0.0-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed startup script description.
  * New upstream release.
  * Fixed (build-)depends for this release. Freezegun upstream b-requirement
    downgraded to 0.3.9.
  * Removed fix-import-sphinx-Directive.patch applied upstream.
  * Add switch-to-GreenThreadPoolExecutor.patch.
  * Standards-Version: 4.3.0.
  * Removed versions of packages when satisfied in Buster.
  * Run different types of unit tests separately to avoid hangs.

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * Running wrap-and-sort -bast

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Jun 2018 13:59:53 +0200

=== debian/control ===
Source: watcher
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-apscheduler,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-coverage,
 python3-croniter,
 python3-freezegun,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-hacking,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-mock,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-testr,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-prettytable,
 python3-six,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.apidoc,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-webob,
 python3-wsme,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/services/watcher
Vcs-Git: https://salsa.debian.org/openstack-team/services/watcher.git
Homepage: https://github.com/openstack/watcher

Package: python3-watcher
Section: python
Architecture: all
Depends:
 python3-apscheduler,
 python3-ceilometerclient,
 python3-cinderclient,
 python3-croniter,
 python3-futurist,
 python3-glanceclient,
 python3-gnocchiclient,
 python3-ironicclient,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-microversion-parse,
 python3-monascaclient,
 python3-networkx,
 python3-neutronclient,
 python3-novaclient,
 python3-openstackclient,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.serialization,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-prettytable,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-taskflow,
 python3-webob,
 python3-wsme,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-watcher,
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: watcher-api
Architecture: all
Depends:
 adduser,
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 q-text-as-data,
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-applier
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-watcher (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-decision-engine
Architecture: all
Depends:
 watcher-common (= ${binary:Version}),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 
-PYTHON3S:=$(shell py3versions -vr)
+include /usr/share/openstack-pkg-tools/pkgos.make
 
-include /usr/share/openstack-pkg-tools/pkgos.make
+export TZ=UTC
 
 %:
 	dh $@ --buildsystem=python_distutils --with python3,systemd,sphinxdoc
@@ -32,28 +32,20 @@
 	pkgos-dh_auto_install --no-py2
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# NOTE(coreycb) Skip Py3.7 tests until they run successfully upstream:
-	# https://bugs.launchpad.net/bugs/1786326
-	# pkgos-dh_auto_test 'watcher\.tests\.(?!.*api\.test_hooks\.TestContextHook\.test_context_hook_before_method.*)'
-	echo "===> Running tests"
-	set -ex ; for i in $(PYTHON3S) ; do \
-		[ $$i = "3.7" ] && break; \
-		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
-		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
-		rm -rf .stestr ; \
-		TEMP_REZ=`mktemp -t` ; \
-		PYTHONPATH=$(CURDIR) PYTHON=python$$i python$$PYMAJOR-stestr run --subunit 'watcher\.tests\.(?!.*api\.test_hooks\.TestContextHook\.test_context_hook_before_method.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
-		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
-		rm -f $$TEMP_REZ ; \
-		rm -rf .stestr ; \
-	done
-
-
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.api\.(?!.*test_hooks\.TestContextHook\.test_context_hook_before_method.*)'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.cmd.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.common\.(?!.*test_clients\.TestClients\.test_clients_ironic.*)'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.conf.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.datasource.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.db.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.decision_engine.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.notifications.*'
+	pkgos-dh_auto_test --no-py2 'watcher\.tests\.objects.*'
 endif
 
 	rm -rf $(CURDIR)/debian/python3-watcher/usr/etc
 	mkdir -p $(CURDIR)/debian/watcher-common/usr/share/watcher-common
-	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages python3-oslo-config-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages oslo-config-generator \
 		--output-file $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf \
 		--wrap-width 140 \
 		--namespace watcher \
@@ -70,7 +62,7 @@
 		--namespace oslo.service.wsgi
 	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken watcher
 
-	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages python3-oslopolicy-sample-generator \
+	PYTHONPATH=$(CURDIR)/debian/python3-watcher/usr/lib/python3/dist-packages oslopolicy-sample-generator \
 		--output-file $(CURDIR)/debian/watcher-common/usr/share/watcher-common/policy.json \
 		--format json \
 		--namespace watcher
@@ -79,6 +71,9 @@
 
 	dh_install
 	dh_missing --fail-missing
+
+	mkdir -p $(CURDIR)/debian/watcher-api/usr/bin
+	cp watcher/api/app.wsgi $(CURDIR)/debian/watcher-api/usr/bin/watcher-wsgi-api
 
 	# Disable https in default setup, as this makes our CI fail
 	pkgos-fix-config-default $(CURDIR)/debian/watcher-common/usr/share/watcher-common/watcher.conf keystone_authtoken auth_protocol http

## watcher 3.0.0~b1~git2019062011.37b11fa4

=== requirements.txt ===
--- 
+++ 
@@ -6,18 +6,18 @@
 enum34>=1.1.6;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
 jsonpatch>=1.21 # BSD
 keystoneauth1>=3.4.0 # Apache-2.0
-jsonschema<3.0.0,>=2.6.0 # MIT
+jsonschema>=2.6.0 # MIT
 keystonemiddleware>=4.21.0 # Apache-2.0
 lxml>=4.1.1 # BSD
 croniter>=0.3.20 # MIT License
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.cache>=1.29.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
-oslo.context>=2.20.0 # Apache-2.0
+oslo.context>=2.21.0 # Apache-2.0
 oslo.db>=4.35.0 # Apache-2.0
 oslo.i18n>=3.20.0 # Apache-2.0
 oslo.log>=3.37.0 # Apache-2.0
-oslo.messaging>=5.36.0 # Apache-2.0
+oslo.messaging>=8.1.2 # Apache-2.0
 oslo.policy>=1.34.0 # Apache-2.0
 oslo.reports>=1.27.0 # Apache-2.0
 oslo.serialization>=2.25.0 # Apache-2.0
@@ -27,7 +27,7 @@
 oslo.versionedobjects>=1.32.0 # Apache-2.0
 PasteDeploy>=1.5.2 # MIT
 pbr>=3.1.1 # Apache-2.0
-pecan>=1.2.1 # BSD
+pecan>=1.3.2 # BSD
 PrettyTable<0.8,>=0.7.2 # BSD
 gnocchiclient>=7.0.1 # Apache-2.0
 python-ceilometerclient>=2.9.0 # Apache-2.0
@@ -36,14 +36,17 @@
 python-keystoneclient>=3.15.0 # Apache-2.0
 python-monascaclient>=1.12.0 # Apache-2.0
 python-neutronclient>=6.7.0 # Apache-2.0
-python-novaclient>=10.1.0 # Apache-2.0
+python-novaclient>=14.1.0 # Apache-2.0
 python-openstackclient>=3.14.0 # Apache-2.0
 python-ironicclient>=2.3.0 # Apache-2.0
 six>=1.11.0 # MIT
 SQLAlchemy>=1.2.5 # MIT
 stevedore>=1.28.0 # Apache-2.0
 taskflow>=3.1.0 # Apache-2.0
-WebOb>=1.7.4 # MIT
+WebOb>=1.8.5 # MIT
 WSME>=0.9.2 # MIT
-networkx>=1.11 # BSD
+# NOTE(fdegir): NetworkX 2.3 dropped support for Python 2
+networkx>=1.11,<2.3;python_version<'3.0'  # BSD
+networkx>=1.11;python_version>='3.4' # BSD
 microversion_parse>=0.2.1 # Apache-2.0
+futurist>=1.8.0 # Apache-2.0

=== debian/changelog ===
watcher (1:3.0.0~b1~git2019062011.37b11fa4-0ubuntu1) eoan; urgency=medium

  * New upstream release 3.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Fix binary name to generate confile files.
  * d/rules: Fix binary name to generate policy sample.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:46:15 +0100

watcher (1:2.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 10:28:06 +0100

watcher (1:2.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 11:36:28 +0000
